Bug 190034 - Remove the frames() timing function
Summary: Remove the frames() timing function
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-09-27 05:01 PDT by Antoine Quint
Modified: 2021-11-01 12:54 PDT (History)
6 users (show)

See Also:


Attachments
Patch (31.08 KB, patch)
2018-10-09 11:39 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (31.05 KB, patch)
2018-10-09 13:15 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (35.83 KB, patch)
2018-10-09 14:14 PDT, Antoine Quint
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (3.02 MB, application/zip)
2018-10-09 15:25 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (3.22 MB, application/zip)
2018-10-09 16:31 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.90 MB, application/zip)
2018-10-09 17:49 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.32 MB, application/zip)
2018-10-09 19:23 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.74 MB, application/zip)
2018-10-09 21:30 PDT, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2018-09-27 05:01:09 PDT
We implemented the new frames() timing function as part of the work on Web Animations, but that function has been removed and its functionality are now available via the steps() timing function and the jump-* keywords. We need to make this change and place this new functionality behind a flag that would be disabled while the spec is under development.
Comment 1 Radar WebKit Bug Importer 2018-09-27 05:01:35 PDT
<rdar://problem/44827544>
Comment 2 Antoine Quint 2018-10-05 04:10:40 PDT
For reference, this is the relevant spec:

https://www.w3.org/TR/css-timing-1/#step-timing-functions
Comment 3 Antoine Quint 2018-10-09 11:20:02 PDT
We'll use this bug to remove frames() and use webkit.org/b/190406 to track the implementation of the jump-* values for steps().
Comment 4 Antoine Quint 2018-10-09 11:39:01 PDT
Created attachment 351899 [details]
Patch
Comment 5 Dean Jackson 2018-10-09 11:39:54 PDT
Comment on attachment 351899 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=351899&action=review

> Source/WebCore/ChangeLog:9
> +        No new tests (OOPS!).

OOPS!

> LayoutTests/imported/w3c/ChangeLog:13
> +        * web-platform-tests/css-timing-1/frames-timing-functions-output-expected.txt:
> +        * web-platform-tests/css-timing-1/frames-timing-functions-syntax-expected.txt:
> +        * web-platform-tests/web-animations/animation-model/keyframe-effects/effect-value-transformed-distance-expected.txt:
> +        * web-platform-tests/web-animations/interfaces/AnimationEffectTiming/easing-expected.txt:
> +        * web-platform-tests/web-animations/timing-model/time-transformations/transformed-progress-expected.txt:

You should contribute these back to WPT.
Comment 6 EWS Watchlist 2018-10-09 11:40:43 PDT
Attachment 351899 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:9:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Antoine Quint 2018-10-09 13:15:35 PDT
Created attachment 351904 [details]
Patch
Comment 8 Antoine Quint 2018-10-09 14:14:25 PDT
Created attachment 351915 [details]
Patch
Comment 9 EWS Watchlist 2018-10-09 15:25:49 PDT
Comment on attachment 351915 [details]
Patch

Attachment 351915 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/9508399

New failing tests:
legacy-animation-engine/transitions/transitions-parsing.html
legacy-animation-engine/transitions/frames-timing-function.html
Comment 10 EWS Watchlist 2018-10-09 15:25:51 PDT
Created attachment 351919 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 11 EWS Watchlist 2018-10-09 16:31:36 PDT
Comment on attachment 351915 [details]
Patch

Attachment 351915 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/9508661

New failing tests:
legacy-animation-engine/transitions/transitions-parsing.html
legacy-animation-engine/transitions/frames-timing-function.html
Comment 12 EWS Watchlist 2018-10-09 16:31:38 PDT
Created attachment 351923 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 13 EWS Watchlist 2018-10-09 17:49:12 PDT
Comment on attachment 351915 [details]
Patch

Attachment 351915 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/9509595

New failing tests:
legacy-animation-engine/transitions/transitions-parsing.html
legacy-animation-engine/transitions/frames-timing-function.html
Comment 14 EWS Watchlist 2018-10-09 17:49:14 PDT
Created attachment 351930 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 15 EWS Watchlist 2018-10-09 19:23:01 PDT
Comment on attachment 351915 [details]
Patch

Attachment 351915 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9509407

New failing tests:
legacy-animation-engine/transitions/transitions-parsing.html
legacy-animation-engine/transitions/frames-timing-function.html
Comment 16 EWS Watchlist 2018-10-09 19:23:03 PDT
Created attachment 351933 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 17 EWS Watchlist 2018-10-09 21:30:03 PDT
Comment on attachment 351915 [details]
Patch

Attachment 351915 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9510422

New failing tests:
legacy-animation-engine/transitions/transitions-parsing.html
legacy-animation-engine/transitions/frames-timing-function.html
Comment 18 EWS Watchlist 2018-10-09 21:30:05 PDT
Created attachment 351940 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 19 Antoine Quint 2018-10-09 23:55:31 PDT
Committed r236998: <https://trac.webkit.org/changeset/236998>
Comment 20 Alex Christensen 2021-11-01 12:54:44 PDT
Comment on attachment 351915 [details]
Patch

This has been requesting review for more than one year.  If this is still needed, please rebase and re-request review.